FacetComponent.DistribFieldFacet (Solr 3.6.2 API)
Keywords: org.apache.solr.handler.component.FacetComponent.DistribFieldFacet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.solr.handler.component
Class FacetComponent.DistribFieldFacet

    java.lang.Object
      org.apache.solr.handler.component.FacetComponent.FacetBase
          org.apache.solr.handler.component.FacetComponent.FieldFacet
              org.apache.solr.handler.component.FacetComponent.DistribFieldFacet

Enclosing class:
  FacetComponent

    public static class FacetComponent.DistribFieldFacet

extends FacetComponent.FieldFacet

This API is experimental and subject to change

Field Summary
`List<String>[]` | `_toRefine`
`OpenBitSet[]` | `counted`
`HashMap<String,FacetComponent.ShardFacetCount>` | `counts`
`FacetComponent.ShardFacetCount[]` | `countSorted`
`int` | `initialLimit`
`int` | `initialMincount`
`long[]` | `missingMax`
`long` | `missingMaxPossible`
`boolean` | `needRefinements`
`int` | `termNum`

Fields inherited from class org.apache.solr.handler.component.FacetComponent.FieldFacet
`field, ftype, limit, minCount, missing, missingCount, offset, prefix, sort`

Method Summary
`FacetComponent.ShardFacetCount[]` | `getCountSorted()`
`FacetComponent.ShardFacetCount[]` | `getLexSorted()`

Methods inherited from class org.apache.solr.handler.component.FacetComponent.FacetBase
`getKey, getType`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _toRefine

    public List<String>[] _toRefine

### missingMaxPossible

    public long missingMaxPossible

### missingMax

    public long[] missingMax

### counted

    public OpenBitSet[] counted

### counts

    public HashMap<String,FacetComponent.ShardFacetCount> counts

### termNum

    public int termNum

### initialLimit

    public int initialLimit

### initialMincount

    public int initialMincount

### needRefinements

    public boolean needRefinements

### countSorted

    public FacetComponent.ShardFacetCount[] countSorted

Method Detail

### getLexSorted

    public FacetComponent.ShardFacetCount[] getLexSorted()

### getCountSorted

    public FacetComponent.ShardFacetCount[] getCountSorted()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD